Page MenuHomePhabricator

Deploy InternetArchiveBot on the Galician Wikipedia (glwiki)
Closed, ResolvedPublic

Event Timeline

Restricted Application assigned this task to Cyberpower678. · View Herald TranscriptNov 23 2017, 4:13 PM
Cyberpower678 triaged this task as High priority.Nov 23 2017, 4:13 PM
Cyberpower678 moved this task from Unsorted to New feature on the InternetArchiveBot (v2.0) board.
Cyberpower678 added a subscriber: Banjo.
This comment was removed by Cyberpower678.
Restricted Application added a subscriber: Cirdan. · View Herald TranscriptJun 6 2018, 5:27 PM

@Banjo Thanks for your patience. Do you think you could gather a couple of translators so we can get IABot prepped for approval? We need to configure the bot's setup for this wiki.

I need the bot approvals page to get the approvals process going.

With that being said can you answer the following questions and translate the following statements?

To translate:

  • External links modified ({{subst:CURRENTMONTHNAME}} {{subst:CURRENTYEAR}})
  • Hello fellow editors,\n\nI have just modified {linksrescued} external links on [[{namespacepage}]]. Please take a moment to review [{diff} my edit]. If you have any questions, or need the bot to ignore the links, or the page altogether, please visit [[:m:InternetArchiveBot/FAQ|this simple FaQ]] for additional information. I made the following changes:\n{modifiedlinks}\nPlease refer to the FaQ for information on correcting errors with the bot.\n\nCheers.
  • External links found that need fixing ({{subst:CURRENTMONTHNAME}} {{subst:CURRENTYEAR}})
  • Hello fellow editors,\n\nI have found one or more external links on [[{namespacepage}]] that are in need of attention. Please take a moment to review the links I found and correct them on the article if necessary. I found the following problems:\n{modifiedlinks}\nWhen you have finished making the appropriate changes, please visit [[:m:InternetArchiveBot/FAQ|this simple FaQ]] for additional information to fix any issues with the URLs mentioned above.\n\nThis notice will only be made once for these URLs.\n\nCheers.
  • Trouble archiving links on the article ({{subst:CURRENTMONTHNAME}} {{subst:CURRENTYEAR}})
  • Hello. During the archive process, the archive returned errors for one or more sites that I submitted for archiving.\nBelow, I have included the links that returned with an error and the following error message.\n\n{problematiclinks}\nIn any event this will be the only notification in regards to these links, and no further attempt will be made to archive the links.\n\nCheers.
  • {link} is found to be dead. Recommend adding {newarchive} to the original URL.
  • {link} is found to be dead. No archive was found.
  • {link} is considered to be dead, however has been found to be alive. Recommend removing the dead flag from the URL.
  • Added archive {newarchive} to {link}
  • Replaced archive link {oldarchive} with {newarchive} on {link}
  • Corrected formatting/usage for {link}
  • Added {{tlx|dead link}} tag to {link}
  • Removed dead tag from {link}
  • Modified source for {link}
  • {problem} with error {error}
  • Rescuing {linksrescued} sources and tagging {linkstagged} as dead.
  • Notification of errors encountered when attempting to archive links
  • Notification of altered sources needing review

Questions:

  1. Do you want talk page messages?
  2. Do you use dead link templates and archive templates?
  3. Where are your cite templates?
  4. What is the typical formatting you use for time on Wikipedia and what other formats do you use, even the least popular ones?
Banjo added a comment.Jul 9 2018, 11:36 AM

@Cyberpower678 Sorry for the delayed response, i've not been very active these last months.

The bot approval request page for gl.wiki can be found here if you deem it necessary to open a new proposal. The initial proposal for deploying IABot at gl.wiki was approved here.

Translations in same order (assuming variable names don't need to be translated):

  • Ligazóns externas modificadas ({{subst:CURRENTMONTHNAME}} {{subst:CURRENTYEAR}})
  • Ola compañeiros editores,\n\nAcabo de modificar {linksrescued} ligazóns externas en [[{namespacepage}]]. Por favor tomádevos un momento para revisar [{diff} a miña edición]. Se tedes calquera pregunta, ou precisades que o bot ignore ben estas ligazóns ou ben a páxina por completo, por favor visitade [[:m:InternetArchiveBot/FAQ|este FAQ]] para máis información. Fixen os seguintes cambios:\n{modifiedlinks}\nPor favor revisade o FAQ para máis información sobre cómo correxir erros do bot.\n\nSaúdos.
  • Atopáronse ligazóns externas que precisan arranxos ({{subst:CURRENTMONTHNAME}} {{subst:CURRENTYEAR}})
  • Ola compañeiros editores,\n\nAtopei unha ou máis ligazóns externas en [[{namespacepage}]] que precisan revisión. Por favor tomádevos un momento para revisar as ligazóns que atopei e correxilas no artigo se fose necesario. Atopei os seguintes problemas:\n{modifiedlinks}\nUnha vez rematados os cambios necesarios, por favor visitade [[:m:InternetArchiveBot/FAQ|este FAQ]] para máis información sobre cómo arranxar calquera tipo de problema coas URLs mencionadas enriba.\n\nEste aviso só se fará unha vez para estas URLs.\n\nSaúdos.
  • Problemas ó arquivar ligazóns no artigo ({{subst:CURRENTMONTHNAME}} {{subst:CURRENTYEAR}})
  • Ola. Durante o proceso de arquivado déronse erros para unha ou máis ligazóns enviadas para o seu arquivo.\nAbaixo inclúense as ligazóns que tiveron un problema coa seguinte mensaxe de erro.\n\n{problematiclinks}\nEsta será a única notificación en relación a estas ligazóns e non se farán máis intentos de arquivar estas ligazóns.\n\nSaúdos.
  • A ligazón {link} está morta. Recoméndase engadir {newarchive} á URL orixinal.
  • A ligazón {link} está morta. Non se atoparon arquivos da mesma.
  • A ligazón {link} considérase morta, máis está viva. Recoméndase eliminar a etiqueta de ligazón morta desta URL.
  • Engadiuse o arquivo {newarchive} á ligazón {link}
  • Substituiuse a ligazón arquivada {oldarchive} co arquivo {newarchive} na ligazón {link}
  • Correxiuse o formato ou uso da ligazón {link}
  • Engadiuse o marcador {{tlx|ligazón morta}} á ligazón {link}
  • Eliminouse o marcador de ligazón morta da ligazón {link}
  • Modificouse a fonte da ligazón {link}
  • {problem} co erro {error}
  • Recuperando {linksrescued} fontes e etiquetando {linkstagged} como mortas.
  • Notificación de erros atopados ó intentar arquivar ligazóns
  • Notificación de fontes modificadas que precisan revisión

Questions (replied in italics):

  1. Do you want talk page messages?

Yes please

  1. Do you use dead link templates and archive templates?

We use {{Ligazón morta}} to tag dead links, {{Dead link}} and {{Deadlink}} are redirects to this one. For archive templates we have {{Wayback}} and {{Webarchive}}, but i'm not sure if they are up to date codewise. I can implement/modify/update any template needed for the bot, just let me know if needed.

  1. Where are your cite templates?

This category holds our cite templates and some other related to them. The core templates are located easier in this chart. We have redirects from the english base names to almost all of them (i.e. {{cite web}} redirects to our {{cita web}}). If any template or redirect is missing let me know and I'll create it accordingly.

  1. What is the typical formatting you use for time on Wikipedia and what other formats do you use, even the least popular ones?

We always follow day-month-year order. The three most used formats are, in preference order:

  • {dd} de {monthname} de {yyyy}
  • {dd}/{mm}/{yyyy}
  • {dd}-{mm}-{yyyy}

The bot still needs the bot flag.

Banjo added a comment.Jul 12 2018, 2:15 PM

Bot flag effectively granted here

Yay. :-) I'm testing the next beta right now. Just need to work out a few issues before deploying and getting the bot run on the new Wikipedias. :-)

It appears to be functioning correctly.

Banjo added a comment.Aug 21 2018, 5:32 PM

@Cyberpower678 I've just seen the test edits, it does look pretty good. There are just a couple of things that are a bit off and would like to report as feedback. I'll gather all the details and get back to this a bit later today.

If it's about the capitalization of the months, I'm already on it.

Banjo added a comment.Aug 21 2018, 5:46 PM

That was one intitial, but i did see that it changed throughout the edits and does look fine now.

There are a couple of things that i've noticed:

Other than those two it looks great as of now. Thanks!

Template parameters are slightly more difficult to manage in that regard as IABot reads the template data of every template and generates an internal map for its use. If the English params aren't in there to begin with, it will never know that they exist as options until programmed in. :-)

I'll program those values shortly.

Banjo added a comment.Aug 21 2018, 5:55 PM

That makes sense. I will review the TemplateData of the citation templates later today to ensure that all variants for the parameters in galician are included on them, following that logic this should help to prevent the second point I raised.

That makes sense. I will review the TemplateData of the citation templates later today to ensure that all variants for the parameters in galician are included on them, following that logic this should help to prevent the second point I raised.

Indeed, but I still need to push the refresh button on my end for IABot to take it. Processing 200MB of data on every run, or in between articles is a heavy process. :p

Cyberpower678 closed this task as Resolved.Aug 21 2018, 7:20 PM